Créer un message privé par id de participant
curl --request POST \
--url https://api.x.com/2/dm_conversations/with/{participant_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"attachments": [
{
"media_id": "1146654567674912769"
}
]
}
'import requests
url = "https://api.x.com/2/dm_conversations/with/{participant_id}/messages"
payload = {
"text": "<string>",
"attachments": [{ "media_id": "1146654567674912769" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', attachments: [{media_id: '1146654567674912769'}]})
};
fetch('https://api.x.com/2/dm_conversations/with/{participant_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"dm_conversation_id": "123123123-456456456",
"dm_event_id": "1146654567674912769"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Gérer
Créer un message privé par id de participant
Envoie un nouveau message privé à un participant spécifique en utilisant son ID.
POST
/
2
/
dm_conversations
/
with
/
{participant_id}
/
messages
Créer un message privé par id de participant
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de l’utilisateur destinataire qui recevra le message privé. Identifiant unique de cet utilisateur. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les problèmes avec les langages et outils qui ne prennent pas en charge les entiers de grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"2244994945"
Corps
application/json
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I